[ GLSA 201808-03 ] NetworkManager VPNC plugin: Privilege escalation


This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
–KjXBV59dhF6iF59cJSlH2wMQs5VJf7iTw
Content-Type: multipart/mixed; boundary=”zs3h7AhAHV9l4HIgtGuH02XAXlxu1qDG3″;
protected-headers=”v1″
From: Thomas Deutschmann
Reply-To: security@gentoo.org
To: gentoo-announce@lists.gentoo.org
Message-ID:
Subject: [ GLSA 201808-03 ] NetworkManager VPNC plugin: Privilege escalation

–zs3h7AhAHV9l4HIgtGuH02XAXlxu1qDG3
Content-Type: text/plain; charset=utf-8
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable

– – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – –
Gentoo Linux Security Advisory GLSA 201808-03
– – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – –
https://security.gentoo.org/
– – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – –

Severity: Normal
Title: NetworkManager VPNC plugin: Privilege escalation
Date: August 22, 2018
Bugs: #661712
ID: 201808-03

– – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – – –

Synopsis
=3D=3D=3D=3D=3D=3D=3D=3D

A vulnerability in NetworkManager VPNC plugin allows local users to
escalate privileges.

Background
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

NetworkManager is an universal network configuration daemon for
laptops, desktops, servers and virtualization hosts.

The VPNC plugin provides easy access Cisco Concentrator based VPN’s
utilizing NetworkManager.

Affected packages
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

——————————————————————-
Package / Vulnerable / Unaffected
——————————————————————-
1 net-misc/networkmanager-vpnc
=3D 1.2.6

Description
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

When initiating a VPNC connection, NetworkManager spawns a new vpnc
process and passes the configuration via STDIN. By injecting a special
character into a configuration parameter, an attacker can coerce
NetworkManager to set the Password helper option to an attacker
controlled executable file.

Impact
=3D=3D=3D=3D=3D=3D

A local attacker is able to escalate privileges via a specially crafted
configuration file.

Workaround
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

There is no known workaround at this time.

Resolution
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

All NetworkManager VPNC plugin users should upgrade to the latest
version:

# emerge –sync
# emerge –ask –oneshot -v “>=3Dnet-misc/networkmanager-vpnc-1.2.6″

References
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

[ 1 ] CVE-2018-10900
https://nvd.nist.gov/vuln/detail/CVE-2018-10900

Availability
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D

This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

https://security.gentoo.org/glsa/201808-03

Concerns?
=3D=3D=3D=3D=3D=3D=3D=3D=3D

Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users’ machines is of utmost
importance to us. Any security concerns should be addressed to
security@gentoo.org or alternatively, you may file a bug at
https://bugs.gentoo.org.

License
=3D=3D=3D=3D=3D=3D=3D

Copyright 2018 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons – Attribution / Share Alike license.

https://creativecommons.org/licenses/by-sa/2.5

–zs3h7AhAHV9l4HIgtGuH02XAXlxu1qDG3–

–KjXBV59dhF6iF59cJSlH2wMQs5VJf7iTw
Content-Type: application/pgp-signature; name=”signature.asc”
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename=”signature.asc”

—–BEGIN PGP SIGNATURE—–
Version: GnuPG v2

iQKTBAEBCgB9FiEEM8WEgsQCKS0uPFwGlwn5DDyW/8gFAlt91TxfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDMz
QzU4NDgyQzQwMjI5MkQyRTNDNUMwNjk3MDlGOTBDM0M5NkZGQzgACgkQlwn5DDyW
/8jZ2hAAq/8dnVk6EtP5n63jj7OPIp1AJxFKQcNDPU2q7hPF3tII1GvE77+SNFJ7
woxha60GbWnFniLfwKDBrF151Lqs0dTAN5miygJ6yv8lC/i+b5Dt9T5go+Rx6q8N
KWYY8jVi06WiSrgP3ZncLLRRfat40AiRVP+/CoIq1Z/SpCY/eNMm7SAztBnG2zWh
dPYdtbSQloewWqH6/7o37TMYSdUfCXv/5R62mdCYZQv0SLiK3EqM/p+cP3t9fkXB
Bh64AY25WrtdsTfifR5bOeTXy4jaNP/nXy0eOBe9Ef5T0B4ygu3+W3sjMF4TBGh0
W8yifUvx5ga+STRWqH5qd9cTEiVzzJ8BIbNVhkJxiT77QEDq0iy6LyDqmlyEyRfx
8xJ0EYGnqfMcLsK6a5spV8V9UIWCDzKse+ur1MIdM+5EI4n/W4kb4sYxQjM/ajcE
YW3yNinnVcy5kNMCAh6GbcHNMm69mo/4stnT28Ud3NjQ6NsQ+9HBhrJfeFmwtPM9
qnsTEkdA5P+tpg6E8IfArJfSW2uttMFVbZkcd4UpwfRcF8WBtjwPmMSjVWNgT6gU
0IDzBPLT9darftgKBQwxVBuZpyJi6mSoprIxCSS3NrBfSI9j4PzPNZl0bBPlaX+s
T1fj7fXx+woGsS0VHnVzBxqZAbTkhxOyzu/G63iA+LdeC/5NVF0=
=3Bt7
—–END PGP SIGNATURE—–

–KjXBV59dhF6iF59cJSlH2wMQs5VJf7iTw–